Package org.eclipse.birt.chart.model.layout

# Interface TitleBlock

All Superinterfaces:
  `Block`, `org.eclipse.emf.ecore.EObject`, `IChartObject`, `LabelBlock`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `TitleBlockImpl`

public interface TitleBlock extends LabelBlock
A representation of the model object 'Title Block'. This type defines the Title in a chart.

See Also:
  - `LayoutPackage.getTitleBlock()`

## Method Summary

Modifier and Type
Method
Description
`TitleBlock`
`copyInstance()`
`boolean`
`isAuto()`
Returns the value of the 'Auto' attribute.
`boolean`
`isSetAuto()`
Returns whether the value of the '`Auto`' attribute is set.
`void`
`setAuto(boolean value)`
Sets the value of the '`Auto`' attribute.
`void`
`unsetAuto()`
Unsets the value of the '`Auto`' attribute.

### Methods inherited from interface org.eclipse.birt.chart.model.layout.Block

`add, children, getAnchor, getBackground, getBounds, getChildren, getColumn, getColumnspan, getCursor, getHeightHint, getInsets, getMinSize, getOutline, getPreferredSize, getRow, getRowspan, getStretch, getTriggers, getWidthHint, isCustom, isLegend, isPlot, isSetAnchor, isSetColumn, isSetColumnspan, isSetHeightHint, isSetRow, isSetRowspan, isSetStretch, isSetVisible, isSetWidthHint, isText, isTitle, isVisible, remove, setAnchor, setBackground, setBounds, setColumn, setColumnspan, setCursor, setHeightHint, setInsets, setMinSize, setOutline, setRow, setRowspan, setStretch, setVisible, setWidthHint, unsetAnchor, unsetColumn, unsetColumnspan, unsetHeightHint, unsetRow, unsetRowspan, unsetStretch, unsetVisible, unsetWidthHint`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.birt.chart.model.layout.LabelBlock

`getLabel, setLabel`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### isAuto

boolean isAuto()
Returns the value of the 'Auto' attribute. The default value is `"false"`. Attribute "Auto" of type boolean specifies whether the text of the TitleBlock could be automatically determined by the system.

Returns:
  the value of the 'Auto' attribute.
See Also:
  - `isSetAuto()`
  - `unsetAuto()`
  - `setAuto(boolean)`
  - `LayoutPackage.getTitleBlock_Auto()`

### setAuto

void setAuto(boolean value)
Sets the value of the '`Auto`' attribute.

Parameters:
  `value` - the new value of the 'Auto' attribute.
See Also:
  - `isSetAuto()`
  - `unsetAuto()`
  - `isAuto()`

### unsetAuto

void unsetAuto()
Unsets the value of the '`Auto`' attribute.

See Also:
  - `isSetAuto()`
  - `isAuto()`
  - `setAuto(boolean)`

### isSetAuto

boolean isSetAuto()
Returns whether the value of the '`Auto`' attribute is set.

Returns:
  whether the value of the 'Auto' attribute is set.
See Also:
  - `unsetAuto()`
  - `isAuto()`
  - `setAuto(boolean)`

### copyInstance

TitleBlock copyInstance()

Specified by:
  `copyInstance` in interface `Block`
Specified by:
  `copyInstance` in interface `IChartObject`
Specified by:
  `copyInstance` in interface `LabelBlock`